//v8 engine
singleton Material(fullsize)
{
    mapTo = "fullsize";
    //diffuseMap[2] = "vehicles/fullsize/fullsize_c.dds";
    //specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
    //normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
    //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "0.06 0.08 0.22 1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prefacelift_hopper)
{
   mapTo = "prefacelift_hopper";
    diffuseMap[2] = "vehicles/hopper/hopper_c.dds";
    specularMap[2] = "vehicles/hopper/hopper_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prefacelift_hopper_gauges)
{
    mapTo = "prefacelift_hopper_gauges";
    diffuseMap[0] = "vehicles/hopper/hopper_gauges_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_gauges_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(prefacelift_hopper_gauges_on)
{
    mapTo = "prefacelift_hopper_gauges_on";
    diffuseMap[1] = "vehicles/hopper/hopper_gauges_g.dds";
    specularMap[1] = "vehicles/hopper/hopper_gauges_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_gauges_n.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_gauges_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_gauges_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1 1 1 1";
};

singleton Material(prefacelift_pessima_gauges)
{
    mapTo = "prefacelift_pessima_gauges";
    diffuseMap[0] = "vehicles/pessima/pessima_gauges_d.dds";
    specularMap[0] = "vehicles/pessima/pessima_gauges_s.dds";
    normalMap[0] = "vehicles/pessima/pessima_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(prefacelift_pessima_gauges_on)
{
    mapTo = "prefacelift_pessima_gauges_on";
    diffuseMap[1] = "vehicles/pessima/pessima_gauges_g.dds";
    specularMap[1] = "vehicles/pessima/pessima_gauges_s.dds";
    normalMap[1] = "vehicles/pessima/pessima_gauges_n.dds";
    diffuseMap[0] = "vehicles/pessima/pessima_gauges_d.dds";
    specularMap[0] = "vehicles/pessima/pessima_gauges_s.dds";
    normalMap[0] = "vehicles/pessima/pessima_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "1 1 1 1";
};

singleton Material(prefacelift_coupe_gauges)
{
    mapTo = "prefacelift_coupe_gauges";
    diffuseMap[0] = "vehicles/coupe/coupe_gauges_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(prefacelift_coupe_gauges_on)
{
    mapTo = "prefacelift_coupe_gauges_on";
    diffuseMap[1] = "vehicles/coupe/coupe_gauges_g.dds";
    specularMap[1] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_gauges_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_gauges_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 1.7 1.2 1";
};

singleton Material(prefacelift_midsize_gauges)
{
    mapTo = "prefacelift_midsize_gauges";
    diffuseMap[0] = "vehicles/midsize/midsize_gauges_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(prefacelift_midsize_gauges_on)
{
    mapTo = "prefacelift_midsize_gauges_on";
    diffuseMap[1] = "vehicles/midsize/midsize_gauges_g.dds";
    specularMap[1] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_gauges_n.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_gauges_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 1.8 1.1 0.7";
};

singleton Material(prefacelift_hopper_engine)
{
    mapTo = "prefacelift_hopper_engine";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_engine_d.dds";
    normalMap[1] = "vehicles/hopper/hopper_engine_n.dds";
    normalMap[0] = "vehicles/hopper/hopper_engine_n.dds";
    specularMap[1] = "vehicles/hopper/hopper_engine_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prefacelift_hopper_steer)
{
    mapTo = "prefacelift_hopper_steer";
    reflectivityMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_steer_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_steer_n.dds";
    diffuseColor[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("prefacelift_hopper_steer.skin_interior.black")
{
    mapTo = "prefacelift_hopper_steer.skin_interior.black";
    reflectivityMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_steer_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_steer_n.dds";
    diffuseColor[0] = "0.3 0.3 0.3 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("prefacelift_hopper_steer.skin_interior.red")
{
    mapTo = "prefacelift_hopper_steer.skin_interior.red";
    reflectivityMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_steer_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_steer_n.dds";
	diffuseColor[0] = "0.52 0.2 0.2 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("prefacelift_hopper_steer.skin_interior.blue")
{
    mapTo = "prefacelift_hopper_steer.skin_interior.blue";
    reflectivityMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_steer_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_steer_n.dds";
	diffuseColor[0] = "0.27 0.42 0.58 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("prefacelift_hopper_steer.skin_interior.brown")
{
    mapTo = "prefacelift_hopper_steer.skin_interior.brown";
    reflectivityMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_steer_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_steer_n.dds";
	diffuseColor[0] = "0.62 0.48 0.37 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prefacelift_gauges_on)
{
    mapTo = "prefacelift_gauges_on";
    diffuseMap[1] = "vehicles/common/pickup/pickup_gauges_g.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_gauges_s.dds";
    diffuseMap[0] = "vehicles/common/pickup/pickup_gauges_d.dds";
    specularMap[0] = "vehicles/common/pickup/pickup_gauges_s.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.7 3 1 0.7";
};

singleton Material("van_prefacelift.skin.dove_200")
{
    mapTo = "van_prefacelift.skin.camo";
    colorPaletteMap[2] = "vehicles/pickup/dove/pickup_skin_dove_200_uv1.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup.skin.dove_200")
{
    mapTo = "pickup.skin.dove_200";
    colorPaletteMap[2] = "vehicles/pickup/dove/pickup_skin_dove_200_uv1.dds";
    diffuseMap[2] = "vehicles/common/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup.skin.dove4x4")
{
    mapTo = "pickup.skin.dove4x4";
    colorPaletteMap[2] = "vehicles/pickup/dove/pickup_skin_dove4x4_uv1.dds";
    diffuseMap[2] = "vehicles/common/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("van_prefacelift.skin.dove4x4")
{
    mapTo = "van_prefacelift.skin.dove4x4";
    colorPaletteMap[2] = "vehicles/pickup/dove/pickup_skin_dove4x4_uv1.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pickup.skin.dove4x4_alt")
{
    mapTo = "pickup.skin.dove4x4_alt";
    colorPaletteMap[2] = "vehicles/pickup/dove/pickup_skin_dove4x4_alt_uv1.dds";
    diffuseMap[2] = "vehicles/common/pickup/pickup_c.dds";
    specularMap[2] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[2] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[1] = "vehicles/common/pickup/pickup_d.dds";
    specularMap[1] = "vehicles/common/pickup/pickup_s.dds";
    normalMap[1] = "vehicles/common/pickup/pickup_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pickup/pickup_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("van_prefacelift.skin.dove4x4_alt")
{
    mapTo = "van_prefacelift.skin.dove4x4_alt";
    colorPaletteMap[2] = "vehicles/pickup/dove/pickup_skin_dove4x4_alt_uv1.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//skins to van
singleton Material("van_prefacelift.skin.camo")
{
    mapTo = "van_prefacelift.skin.camo";
    colorPaletteMap[2] = "vehicles/common/pickup/pickup_skin_camo_uv1.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("van_prefacelift.skin.twotone")
{
    mapTo = "van_prefacelift.skin.twotone";
    colorPaletteMap[2] = "vehicles/pickup/pickup_skin_twotone_uv1.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("van_prefacelift.skin.twotone_alt")
{
    mapTo = "van_prefacelift.skin.twotone_alt";
    colorPaletteMap[2] = "vehicles/pickup/pickup_skin_twotone_alt_uv1.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("van_prefacelift.skin.borderpatrol")
{
    mapTo = "van_prefacelift.skin.borderpatrol";
    overlayMap[2] = "vehicles/pickup/pickup_skin_borderpatrol.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("van_prefacelift.skin.dirty")
{
    mapTo = "van_prefacelift.skin.dirty";
    overlayMap[2] = "vehicles/pickup/dove/van_prefacelift_skin_dirty.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material("van_prefacelift.skin.rusty")
{
    mapTo = "van_prefacelift.skin.rusty";
    overlayMap[2] = "vehicles/pickup/pickup_skin_rusty.dds";
    diffuseMap[2] = "vehicles/van/van_c.dds";
    specularMap[2] = "vehicles/van/van_s.dds";
    normalMap[2] = "vehicles/van/van_n.dds";
    diffuseMap[1] = "vehicles/van/van_d.dds";
    specularMap[1] = "vehicles/van/van_s.dds";
    normalMap[1] = "vehicles/van/van_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/van/van_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prefacelift_van_signal_R)
{
   mapTo = "van_prefacelift_signal_R";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(prefacelift_van_signal_L)
{
   mapTo = "van_prefacelift_signal_L";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(prefacelift_van_glass_int)
{
   mapTo = "van_prefacelift_glass_int";
   diffuseColor[0] = "0.470588 0.470588 0.470588 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(prefacelift_van_headlight)
{
   mapTo = "van_prefacelift_headlight";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(prefacelift_van)
{
   mapTo = "van_prefacelift";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/van/van_d.dds";
   diffuseMap[2] = "vehicles/van/van_c.dds";
   normalMap[0] = "vehicles/van/van_n.dds";
   normalMap[1] = "vehicles/van/van_n.dds";
   normalMap[2] = "vehicles/van/van_n.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/van/van_s.dds";
   specularMap[2] = "vehicles/van/van_s.dds";
   materialTag0 = "Miscellaneous";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
};

singleton Material(prefacelift_van_lights)
{
   mapTo = "van_prefacelift_lights";
   diffuseMap[1] = "vehicles/van/van_lights_d.dds";
   specularMap[1] = "vehicles/van/van_lights_s.dds";
   normalMap[1] = "vehicles/van/van_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/van/van_lights_n.dds";
   //diffuseMap[2] = "vehicles/van/van_lights_dirt.dds";
   //normalMap[2] = "vehicles/van/van_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(van_prefacelift_glass_int)
{
   mapTo = "van_prefacelift_glass_int";
   diffuseMap[0] = "vehicles/van/van_glass_d.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/van/van_glass_da.dds";
   specularMap[1] = "vehicles/common/null.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.75";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = false;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prefacelift_van_006)
{
   mapTo = "van_006";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(prefacelift_pickup_006)
{
   mapTo = "pickup_006";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(prefacelift_coupe_interior)
{
   mapTo = "coupe_interior";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/coupe/coupe_interior_d.dds";
   normalMap[0] = "vehicles/coupe/coupe_interior_n.dds";
   specularMap[0] = "vehicles/coupe/coupe_interior_s.dds";
   materialTag0 = "Miscellaneous";
};



singleton Material(prefacelift_coupe_engine)
{
   mapTo = "coupe_engine";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "29";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
   normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
   specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
   materialTag0 = "Miscellaneous";
};



singleton Material(prefacelift_pigeon)
{
   mapTo = "pigeon";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
   normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
   normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
   specularMap[0] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(prefacelift_lettering)
{
	mapTo = "prefacelift_lettering";
	diffuseMap[0] = "vehicles/pickup/dove/prefacelift_lettering_d.dds";
	normalMap[0] = "vehicles/pickup/dove/prefacelift_lettering_n.dds";
	specularMap[0] = "vehicles/pickup/dove/prefacelift_lettering_s.dds";
    reflectivityMap[0] = "vehicles/pickup/dove/prefacelift_lettering_s.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	diffuseColor[0] = "1 1 1 1";
	useAnisotropic[0] = "1";
	castShadows = "0";
	translucent = "1";
	//translucentBlendOp = "None";
	alphaTest = "0";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
	//translucentZWrite = "1";
};